.platforms {
    border-bottom: 3px solid var(--primary-bg);
    width: 100%;
}

.platforms>div {
    cursor: pointer;
}

.platform {
    position: relative;
    text-decoration: none;
}

.platform::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 3px;
    border-radius: 10px;
    left: 0;
    top: 100%;
    transform: scaleX(0);
    transition: transform 0.3s ease-in-out;
    background-color: var(--blue-bg);
}

.platform.active::after {
    background-color: var(--blue);
    transform: scaleX(1);
}

.platform:hover:not(.active):after {
    transform: scaleX(1);
    background-color: var(--blue-bg);
}


.platform-content {
    display: none;
}

.empty-content {
    margin-top: 112px;
}

.platform-content.active {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.platform .photo {
    width: 24px;
    height: 24px;
    min-width: 24px;
    min-height: 24px;
    border-radius: 100px;
    overflow: hidden;
}

.platform .photo img {
    max-width: 100%;
}


.platform.active>span,
.platform:hover>span {
    color: var(--primary-text);
}

.table-section {
    padding: 4px;
    background-color: var(--primary-bg);
    border-radius: 16px;
}

.table-container {
    width: 100%;
    overflow: auto;
    position: relative;
}

.with-ads-profile-notify .table-container.company {
    max-height: calc(100vh - 243px);
}

.table-container.company {
    max-height: calc(100vh - 203px);
}


.table-container.group,
.table-container.phrase-t {
    max-height: calc(100vh - 246px);
}

.table-container table {
    border-collapse: separate;
    border-spacing: 0;
    table-layout: fixed;
    padding: 0 4px 4px 0;
}

.table-container td {
    text-align: left;
    white-space: nowrap;
    min-width: 150px;
    width: 150px;

    height: 100%;
    position: relative;
}

.table-container td:first-child {
    position: sticky;
    left: 0;
    background: var(--primary-bg);
    min-width: 400px;
    border: none;
    z-index: 1;
    padding-left: 14px;
    padding-top: 8px;
    display: flex;
}

.table-container td:not(:first-child) {
    border-left: 1px solid #D3DBF1;
    border-top: 1px solid #D3DBF1;
}

.table-container td:last-child {
    border-right: 1px solid #D3DBF1;
}

.table-container td p {
    white-space: normal;
    overflow-wrap: break-word;
}


.table-container td>div {
    height: 100%;
    min-height: 175px;
}

.table-container.not-has-height td>div {min-height: 100%;}

.table-container td:not(:first-child)>div {
    position: absolute;
    bottom: 0;
}

.table-container tr {
    position: relative;
    height: 100%;
}

.table-container tr:last-child td:not(:first-child) {
    border-bottom: 1px solid #D3DBF1;
}

.table-container tr:first-child td:nth-child(2) {
    border-top-left-radius: 16px;
}

.table-container tr:last-child td:nth-child(2) {
    border-bottom-left-radius: 16px;
}

.table-container tr:first-child td:last-child {
    border-top-right-radius: 16px;
}

.table-container tr:last-child td:last-child {
    border-bottom-right-radius: 16px;
}

.table-container::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.table-container::-webkit-scrollbar-thumb {
    background-color: #D3DBF1;
    border-radius: 40px;
    width: 8px;
}

.table-container::-webkit-scrollbar-track {
    background: var(--blue-bg);
    border-radius: 40px;
    margin: 4px 0 0 12px;
}

.table-container::-webkit-scrollbar-corner {
    background-color: var(--primary-bg);
}

.table-controls>div:last-of-type>button {
    padding: 8px 24px;
}

.weekly-budget {
    cursor: pointer;
    position: relative;
}

.weekly-budget-tooltip {
    display: none;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    border-radius: 16px;
    -webkit-box-shadow: 0px 16px 24px 0px #9A9FBA1A;
    box-shadow: 0px 16px 24px 0px #9A9FBA1A;
    background-color: white;
    position: absolute;
    z-index: 9999;
    right: -40%;
    top: -60px;
}

.change-bet .weekly-budget-tooltip {
    right: auto;
    left: 100px;
    top: -25px;
}

.change-bet .weekly-budget-tooltip > div:first-of-type {padding: 16px 16px 8px 16px;}
.change-bet .weekly-budget-tooltip > div:first-of-type > span {
    font-size: 16px;
    font-weight: 600;
    color: var(--primary-text);
}
.change-bet .weekly-budget-tooltip > div:first-of-type > p {
    font-size: 14px;
    font-weight: 500;
    margin: 0 !important;
    color: var(--secondary-text);
}
.change-bet .weekly-budget-tooltip > div:first-of-type > p > span {color: var(--blue);}

.weekly-budget-tooltip .head,
.weekly-budget-tooltip>span {
    padding: 16px 16px 8px 16px;
    border-bottom: var(--secondary-border);
    font-size: 16px;
    font-weight: 600;
    color: var(--primary-text);
}

.weekly-budget-tooltip input {
    background-color: var(--blue-bg);
    border-radius: 16px;
    padding: 13px 16px;
    border: none;
    outline: none;
}

.weekly-budget-tooltip input::placeholder {
    color: var(--secondary-text);
    font-size: 16px;
}

.empty-content img {
    max-width: 320px;
}

#create-company .modal-content {
    max-width: 544px;
    overflow: visible !important;
}

#create-company .modal-content>div {
    border-radius: 16px;
    background-color: var(--primary-bg);
}

#create-company .modal-content>div img {
    max-width: 24px;
}

#create-company .close-modal {
    top: -24px;
    right: -24px;
}


#create-company .close-modal::after {
    content: url(../images/close-white.svg);
}

.groups-content {
    border-bottom: 3px solid var(--blue-bg);
}

.groups {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 4px;
    padding: 8px;
    border-radius: 16px;
    background-color: var(--primary-bg);
}

.groups>a {
    padding: 13px 24px;
    border-radius: 8px;
    color: var(--secondary-text);
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: var(--transition);
    text-decoration: none;
}

.groups>a>span {
    background-color: var(--blue-bg);
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    border-radius: 100px;
}

.groups>a.active>span {
    background-color: var(--tertyary-button-hover);
}

.groups>a.active {
    background-color: var(--primary-text);
    color: white;
}

.groups>a:not(.active):hover {
    background-color: var(--blue-bg);
}

/* .groups-content.active {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
} */

/* .ads-table .fixed-column,
.ads-table .scrollable-column {
    height: 213px;
} */

.ads-table-img {
    width: 90px;
    height: 90px;
    border-radius: 16px;
    background-color: white;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ads-table-img img {
    max-width: 100%;
    height: auto;
}

.ads-modal-img {
    width: 80px;
    height: 80px;
    border-radius: 16px;
    background-image: url(../images/ads-img.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.ads-modal-img.two {
    background-image: url(../images/ads-img2.png);
}

.ads-eye {
    border-radius: 8px;
    background-color: var(--blue-bg);
    padding: 8px 16px;
}

.conversion-item {
    border-radius: 16px;
    background-color: var(--primary-bg);
}

.conversion-item .head {
    cursor: pointer;
    min-height: 78px;
}

.conversion-item .head p:first-child {
    line-height: 24px;
}

.conversion-item .head p:first-child {
    line-height: 22px;
}

.conversion-item:hover {
    background-color: var(--blue-bg);
}

.conversion-item .content {
    background-color: var(--primary-bg);
    border-top: 1px solid var(--secondary-border);
    display: none;
    max-height: 240px;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    padding-right: 4px;
}

.conversion-item .content>div {
    overflow-y: auto;
    width: 100%;
}

.conversion-item .content>div::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.conversion-item .content>div::-webkit-scrollbar-thumb {
    background-color: #D3DBF1;
    border-radius: 40px;
    width: 8px;
}

.conversion-item .content>div::-webkit-scrollbar-track {
    background: var(--blue-bg);
    border-radius: 40px;
    margin: 16px 0;
}

.conversion-item.active .content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.conversion-item .content>div>div>div:first-of-type {
    border-right: 1px solid var(--secondary-border);
}

.conversions .search-input {
    padding: 12px 16px;
}

.conversions button {
    padding: 18px 28px;
}

.groups-actions {
    left: 92px;
}

.right-modal {
    overflow-y: auto;
}

.right-modal::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.right-modal::-webkit-scrollbar-thumb {
    background-color: #D3DBF1;
    border-radius: 40px;
    width: 8px;
}

.right-modal::-webkit-scrollbar-track {
    background: var(--blue-bg);
    border-radius: 40px;
    margin: 12px 0;
}

.wallet-img {
    border-radius: 100px;
    width: 24px;
    height: 24px;
}

@media (max-width: 1400px) {
    .table-container.company {
        max-height: calc(100vh - 260px);
    }
}

@media (max-width: 1090px) {
    .table-container.company {
        max-height: calc(100vh - 316px);
    }
}

@media (max-width: 1382px) {
    .table-container.group {
        max-height: calc(100vh - 303px);
    }
}

@media (max-width: 1075px) {
    .table-container.group {
        max-height: calc(100vh - 359px);
    }
}

@media (max-width: 480px) {
    .add-company {
        position: fixed;
        z-index: 100;
        width: 100%;
        justify-content: center;
        margin: 0 auto !important;
        bottom: 16px;
        width: calc(100% - 32px);
    }
}